slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPLinearSetExplicitMatrix

Indicate if the matrices A and B for the linearization of the problem must be built explicitly.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPLinearSetExplicitMatrix(PEP pep,PetscBool explicitmat)

Logically Collective

### Input Parameters

| pep | - polynomial eigenvalue solver
| explicitmat | - boolean flag indicating if the matrices are built explicitly

### Options Database Key

| -pep_linear_explicitmatrix <boolean> | - Indicates the boolean flag

### See Also

PEPLinearGetExplicitMatrix()

### Level

advanced

### Location

src/pep/impls/linear/linear.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages